#
# spec file for package apache-commons-parent
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name       parent
%define short_name      commons-%{base_name}

Name:           apache-%{short_name}
Version:        32
Release:        8.2
Summary:        Apache Commons Parent Pom
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://svn.apache.org/repos/asf/commons/proper/%{short_name}/tags/%{short_name}-%{version}/

# svn export http://svn.apache.org/repos/asf/commons/proper/commons-parent/tags/commons-parent-32
# tar caf commons-parent-32.tar.xz commons-parent-32
Source0:        %{short_name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  java-devel >= 1.6.0
BuildRequires:  javapackages-tools

Requires:       java >= 1.6.0
Requires:       javapackages-tools
#Requires:         maven2 >= 2.2.1
#Requires:         maven-antrun-plugin
#Requires:         maven-assembly-plugin
#Requires:         maven-compiler-plugin
#Requires:         maven-idea-plugin
#Requires:         maven-install-plugin
#Requires:         maven-jar-plugin
#Requires:         maven-javadoc-plugin
#Requires:         maven-plugin-bundle
#Requires:         maven-resources-plugin
#Requires:         maven-surefire-plugin
Requires(post):   javapackages-tools
Requires(postun): javapackages-tools

Provides:       jakarta-%{short_name} = %{version}-%{release}
Obsoletes:      jakarta-%{short_name} < 23
Provides:       %{short_name} = %{version}-%{release}
Obsoletes:      %{short_name} < 23

%description
The Project Object Model files for the apache-commons packages.

%prep
%setup -q -n %{short_name}-%{version}

# Plugin is not in suse
%pom_remove_plugin org.apache.commons:commons-build-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-scm-publish-plugin

%build
#nothing to do for the pom

%install

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom
%add_maven_depmap JPP-%{short_name}.pom

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt
%{_mavenpomdir}/*
%config %{_mavendepmapfragdir}/*

%changelog
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Tue Aug 27 2013 mvyskocil@suse.com
- update to 32
  * sync versions of various components in pom.xml
- use add_maven_depmap from last javapackages-tools
- dropped:
  * apache-commons-parent-remove-build-plugin.patch
* Tue Feb 28 2012 mvyskocil@suse.cz
- add missing provides/obsoletes to package
  now provides jakarta-commons-parent and commons-parent
* Wed Feb  8 2012 mvyskocil@suse.cz
- rename to apache-commons-parent to be sync with jpp and Fedora
- update to release 23
  * java-1.7 profile
  * ssh/scp support to maven-site-plugin in Maven3
* Fri Jan 29 2010 mvyskocil@suse.cz
- fixed bnc#575115 - corrected license tag
* Wed Jan 27 2010 mvyskocil@suse.cz
- initial SUSE packaging (jakarta-commons-parent-11-1.jpp5.src.rpm)
